org.apache.storm.trident.topology

## Class TridentTopologyBuilder

- java.lang.Object
- - org.apache.storm.trident.topology.TridentTopologyBuilder

-     public class TridentTopologyBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TridentTopologyBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StormTopology` | `buildTopology(Map<String,Number> masterCoordResources)`
    `SpoutDeclarer` | `setBatchPerTupleSpout(String id, String streamName, IRichSpout spout, Integer parallelism, String batchGroup)`
    `BoltDeclarer` | `setBolt(String id, ITridentBatchBolt bolt, Integer parallelism, Set<String> committerBatches, Map<String,String> batchGroups)`
    `SpoutDeclarer` | `setSpout(String id, String streamName, String txStateId, IBatchSpout spout, Integer parallelism, String batchGroup)`
    `SpoutDeclarer` | `setSpout(String id, String streamName, String txStateId, ITridentSpout spout, Integer parallelism, String batchGroup)`
    `static String` | `spoutCoordinator(String spoutId)`
    `static String` | `spoutIdFromCoordinatorId(String coordId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TridentTopologyBuilder

          public TridentTopologyBuilder()

  - ### Method Detail

    - #### spoutCoordinator

          public static String spoutCoordinator(String spoutId)

    - #### spoutIdFromCoordinatorId

          public static String spoutIdFromCoordinatorId(String coordId)

    - #### setBatchPerTupleSpout

          public SpoutDeclarer setBatchPerTupleSpout(String id,
                                                     String streamName,
                                                     IRichSpout spout,
                                                     Integer parallelism,
                                                     String batchGroup)

    - #### setSpout

          public SpoutDeclarer setSpout(String id,
                                        String streamName,
                                        String txStateId,
                                        IBatchSpout spout,
                                        Integer parallelism,
                                        String batchGroup)

    - #### setSpout

          public SpoutDeclarer setSpout(String id,
                                        String streamName,
                                        String txStateId,
                                        ITridentSpout spout,
                                        Integer parallelism,
                                        String batchGroup)

    - #### setBolt

          public BoltDeclarer setBolt(String id,
                                      ITridentBatchBolt bolt,
                                      Integer parallelism,
                                      Set<String> committerBatches,
                                      Map<String,String> batchGroups)

    - #### buildTopology

          public StormTopology buildTopology(Map<String,Number> masterCoordResources)

Copyright © 2021 The Apache Software Foundation. All rights reserved.